org.python.modules

## Class gc.CycleMarkAttr

- java.lang.Object
- - org.python.modules.gc.CycleMarkAttr

- Enclosing class:
    gc

      public static class gc.CycleMarkAttr
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `monitored`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isCyclic()`
    `boolean` | `isUncollectable()`
    `void` | `setFlags(boolean cyclic, boolean uncollectable)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### monitored

          public boolean monitored

  - ### Method Detail

    - #### isCyclic

          public boolean isCyclic()

    - #### isUncollectable

          public boolean isUncollectable()

    - #### setFlags

          public void setFlags(boolean cyclic,
                               boolean uncollectable)

Jython homepage